<template>
  <game-box
  :grid="state.grid"
  :moves="state.moves"
  :maxMoves="state.maxMoves"
  :exp="state.exp"
  :expGoal="state.expGoal"
  :score="state.score"
  :level="state.level">
  </game-box>
  <level-select
  :level="state.level"
  :highScores="state.highScores">
  </level-select>
  <rules-box></rules-box>
  <about-box></about-box>
</template>

<script lang="ts">
import gameBox from './GameBox.vue'
import levelSelect from './LevelSelect.vue'
import rulesBox from './RulesBox.vue'
import aboutBox from './AboutBox.vue'
import { reactive } from 'vue'
import { store } from '../store'

export default {
  components: {
    gameBox,
    levelSelect,
    rulesBox,
    aboutBox,
  },
  setup() {
    // run initial store action
    store.dispatch('init');
    // expose to template
    return {
      state: reactive(store.state),
    };
  },
}
</script>

<style lang="scss">
@import url('https://fonts.googleapis.com/css?family=Signika&display=swap');

* {
  margin: 0;
  padding: 0;
  font-family: 'Signika', sans-serif;
  font-weight: bold;
  color: white;
}
#app {
  background: #181a1d;
  min-height: 100vh;
}
</style>
